for val in range(1, 500):
    res = list()
    impulsion = val
    convenable = False
    for i in range(1025):
        impulsion = int("{:b}".format(impulsion)[::-1], 2) + 2
        if impulsion not in res:
            res.append(impulsion)
        else:
            convenable = True
    if convenable:
        print(val, end=", ")
